Bug 100919 - Label of desktop icon for user's home directory gets translated only once
Label of desktop icon for user's home directory gets translated only once
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: nautilus (Show other bugs)
AS-beta1
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 23:14 EDT by Fulton Green
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-04 12:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fulton Green 2003-07-26 23:14:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
The desktop icon representing a user's home directory folder will always have
the same label it was given when it was created, regardless of which language
the user happens to log in with in subsequent desktop sessions.  In other words,
while the labels of the other desktop icons change with the desktop session's
chosen language, the label for the home folder will stay in the same language as
when the user first logged in.

Version-Release number of selected component (if applicable):
2.2.4-4

How reproducible:
Always

Steps to Reproduce:
1. Create a new user OR delete any GNOME- and Nautilus-related hidden
directories and files in $HOME.
2. Log in using an arbitrary language (it can be the one configured to be the
default), then log out.
3. Select a different language for the new desktop session, then log in.

Actual Results:  The "Start Here" and "Trash" icons are labeled in the language
chosen for the new desktop session, but the "<username>'s Home" icon is labeled
using the language used during the user's initial desktop session.

Expected Results:  The "<username>'s Home" icon would have been labeled in the
language chosen for the new desktop version.

Additional info:
Comment 1 Alexander Larsson 2003-08-04 12:52:34 EDT
This is very hard to do with the current way the home icon is handled. Its a
desktop file link that the user can rename. Its not possible to tell if the icon
 has been renamed by the user or was created in some other locale. 

In Gnome 2.3 which will become Gnome 2.4 when its stable this is handled in a
different way, and this bug is fixed. But it will not be fixed in this release.

Note You need to log in before you can comment on or make changes to this bug.